Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.PolylineCurve

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Curve
                  igeo.io.IRhino3dm.PolylineCurve

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.PolylineCurve

extends IRhino3dm.Curve

Field Summary
`int` | `dim`
`IRhino3dm.Polyline` | `pline`
`java.util.ArrayList<java.lang.Double>` | `t`
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.Curve
`icurve`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.PolylineCurve()`

Method Summary
`ICurveGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
`ICurve` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
`ITrimCurve` | `createTrimCurve(IRhino3dm.Rhino3dmFile context, IServerI s, ISurfaceI srf)`
`IRhino3dm.Interval` | `domain()`
`IRhino3dm.UUID` | `getClassUUID()`
`boolean` | `isValid()`
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`

Methods inherited from class igeo.io.IRhino3dm.Curve
`getType`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, setAttributes, setAttributesToIObject, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

### pline

    public IRhino3dm.Polyline pline

### t

    public java.util.ArrayList<java.lang.Double> t

### dim

    public int dim

Constructor Detail

### IRhino3dm.PolylineCurve

    public IRhino3dm.PolylineCurve()

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.Curve`

### isValid

    public boolean isValid()

  Specified by:
    `isValid` in class `IRhino3dm.Curve`

### domain

    public IRhino3dm.Interval domain()

  Specified by:
    `domain` in class `IRhino3dm.Curve`

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Overrides:
    `read` in class `IRhino3dm.RhinoObject`
  Throws:
    `java.io.IOException`

### createIObject

    public ICurve createIObject(IRhino3dm.Rhino3dmFile context,
                                IServerI s)

  Overrides:
    `createIObject` in class `IRhino3dm.Curve`

### createIGeometry

    public ICurveGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                     IServerI s)

  Overrides:
    `createIGeometry` in class `IRhino3dm.Curve`

### createTrimCurve

    public ITrimCurve createTrimCurve(IRhino3dm.Rhino3dmFile context,
                                      IServerI s,
                                      ISurfaceI srf)

  Overrides:
    `createTrimCurve` in class `IRhino3dm.Curve`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD